/**
 */
package temporalOCLCST.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

import org.eclipse.ocl.examples.pivot.util.Nameable;
import org.eclipse.ocl.examples.pivot.util.Pivotable;

import org.eclipse.ocl.examples.xtext.base.baseCST.ConstraintCS;
import org.eclipse.ocl.examples.xtext.base.baseCST.ElementCS;
import org.eclipse.ocl.examples.xtext.base.baseCST.ModelElementCS;
import org.eclipse.ocl.examples.xtext.base.baseCST.NamedElementCS;
import org.eclipse.ocl.examples.xtext.base.baseCST.NamespaceCS;
import org.eclipse.ocl.examples.xtext.base.baseCST.PackageCS;
import org.eclipse.ocl.examples.xtext.base.baseCST.PivotableElementCS;
import org.eclipse.ocl.examples.xtext.base.baseCST.RootCS;
import org.eclipse.ocl.examples.xtext.base.baseCST.SpecificationCS;

import org.eclipse.ocl.examples.xtext.base.util.VisitableCS;

import org.eclipse.ocl.examples.xtext.completeocl.completeOCLCST.CompleteOCLDocumentCS;
import org.eclipse.ocl.examples.xtext.completeocl.completeOCLCST.ContextConstraintCS;
import org.eclipse.ocl.examples.xtext.completeocl.completeOCLCST.ContextSpecificationCS;

import org.eclipse.ocl.examples.xtext.essentialocl.essentialOCLCST.ExpSpecificationCS;

import temporalOCLCST.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see temporalOCLCST.TemporalOCLCSTPackage
 * @generated
 */
public class TemporalOCLCSTAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static TemporalOCLCSTPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TemporalOCLCSTAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = TemporalOCLCSTPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected TemporalOCLCSTSwitch<Adapter> modelSwitch =
		new TemporalOCLCSTSwitch<Adapter>() {
			@Override
			public Adapter caseTemporalOCLDocumentCS(TemporalOCLDocumentCS object) {
				return createTemporalOCLDocumentCSAdapter();
			}
			@Override
			public Adapter caseTempCS(TempCS object) {
				return createTempCSAdapter();
			}
			@Override
			public Adapter caseTempSpecificationCS(TempSpecificationCS object) {
				return createTempSpecificationCSAdapter();
			}
			@Override
			public Adapter caseTempScopeCS(TempScopeCS object) {
				return createTempScopeCSAdapter();
			}
			@Override
			public Adapter caseTempPatternCS(TempPatternCS object) {
				return createTempPatternCSAdapter();
			}
			@Override
			public Adapter caseTempGloballyCS(TempGloballyCS object) {
				return createTempGloballyCSAdapter();
			}
			@Override
			public Adapter caseTempAfterCS(TempAfterCS object) {
				return createTempAfterCSAdapter();
			}
			@Override
			public Adapter caseTempBeforeCS(TempBeforeCS object) {
				return createTempBeforeCSAdapter();
			}
			@Override
			public Adapter caseTempBetweenCS(TempBetweenCS object) {
				return createTempBetweenCSAdapter();
			}
			@Override
			public Adapter caseTempAfterUnlessCS(TempAfterUnlessCS object) {
				return createTempAfterUnlessCSAdapter();
			}
			@Override
			public Adapter caseTempWhenCS(TempWhenCS object) {
				return createTempWhenCSAdapter();
			}
			@Override
			public Adapter caseTempPrecedingCS(TempPrecedingCS object) {
				return createTempPrecedingCSAdapter();
			}
			@Override
			public Adapter caseTempFollowingCS(TempFollowingCS object) {
				return createTempFollowingCSAdapter();
			}
			@Override
			public Adapter caseTempAbsenceCS(TempAbsenceCS object) {
				return createTempAbsenceCSAdapter();
			}
			@Override
			public Adapter caseTempUniversalityCS(TempUniversalityCS object) {
				return createTempUniversalityCSAdapter();
			}
			@Override
			public Adapter caseTempExistenceCS(TempExistenceCS object) {
				return createTempExistenceCSAdapter();
			}
			@Override
			public Adapter caseEventCS(EventCS object) {
				return createEventCSAdapter();
			}
			@Override
			public Adapter caseAtomicEventCS(AtomicEventCS object) {
				return createAtomicEventCSAdapter();
			}
			@Override
			public Adapter caseEventChainCS(EventChainCS object) {
				return createEventChainCSAdapter();
			}
			@Override
			public Adapter caseCallEventCS(CallEventCS object) {
				return createCallEventCSAdapter();
			}
			@Override
			public Adapter caseBecomesTrueEventCS(BecomesTrueEventCS object) {
				return createBecomesTrueEventCSAdapter();
			}
			@Override
			public Adapter caseAnyCallEventCS(AnyCallEventCS object) {
				return createAnyCallEventCSAdapter();
			}
			@Override
			public Adapter caseTagCS(TagCS object) {
				return createTagCSAdapter();
			}
			@Override
			public Adapter caseVisitableCS(VisitableCS object) {
				return createVisitableCSAdapter();
			}
			@Override
			public Adapter caseElementCS(ElementCS object) {
				return createElementCSAdapter();
			}
			@Override
			public Adapter casePivotable(Pivotable object) {
				return createPivotableAdapter();
			}
			@Override
			public Adapter casePivotableElementCS(PivotableElementCS object) {
				return createPivotableElementCSAdapter();
			}
			@Override
			public Adapter caseModelElementCS(ModelElementCS object) {
				return createModelElementCSAdapter();
			}
			@Override
			public Adapter caseNameable(Nameable object) {
				return createNameableAdapter();
			}
			@Override
			public Adapter caseNamedElementCS(NamedElementCS object) {
				return createNamedElementCSAdapter();
			}
			@Override
			public Adapter caseNamespaceCS(NamespaceCS object) {
				return createNamespaceCSAdapter();
			}
			@Override
			public Adapter casePackageCS(PackageCS object) {
				return createPackageCSAdapter();
			}
			@Override
			public Adapter caseRootCS(RootCS object) {
				return createRootCSAdapter();
			}
			@Override
			public Adapter caseCompleteOCLDocumentCS(CompleteOCLDocumentCS object) {
				return createCompleteOCLDocumentCSAdapter();
			}
			@Override
			public Adapter caseConstraintCS(ConstraintCS object) {
				return createConstraintCSAdapter();
			}
			@Override
			public Adapter caseContextConstraintCS(ContextConstraintCS object) {
				return createContextConstraintCSAdapter();
			}
			@Override
			public Adapter caseSpecificationCS(SpecificationCS object) {
				return createSpecificationCSAdapter();
			}
			@Override
			public Adapter caseExpSpecificationCS(ExpSpecificationCS object) {
				return createExpSpecificationCSAdapter();
			}
			@Override
			public Adapter caseContextSpecificationCS(ContextSpecificationCS object) {
				return createContextSpecificationCSAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.TemporalOCLDocumentCS <em>Temporal OCL Document CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.TemporalOCLDocumentCS
	 * @generated
	 */
	public Adapter createTemporalOCLDocumentCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.TempCS <em>Temp CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.TempCS
	 * @generated
	 */
	public Adapter createTempCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.TempSpecificationCS <em>Temp Specification CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.TempSpecificationCS
	 * @generated
	 */
	public Adapter createTempSpecificationCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.TempScopeCS <em>Temp Scope CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.TempScopeCS
	 * @generated
	 */
	public Adapter createTempScopeCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.TempPatternCS <em>Temp Pattern CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.TempPatternCS
	 * @generated
	 */
	public Adapter createTempPatternCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.TempGloballyCS <em>Temp Globally CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.TempGloballyCS
	 * @generated
	 */
	public Adapter createTempGloballyCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.TempAfterCS <em>Temp After CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.TempAfterCS
	 * @generated
	 */
	public Adapter createTempAfterCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.TempBeforeCS <em>Temp Before CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.TempBeforeCS
	 * @generated
	 */
	public Adapter createTempBeforeCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.TempBetweenCS <em>Temp Between CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.TempBetweenCS
	 * @generated
	 */
	public Adapter createTempBetweenCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.TempAfterUnlessCS <em>Temp After Unless CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.TempAfterUnlessCS
	 * @generated
	 */
	public Adapter createTempAfterUnlessCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.TempWhenCS <em>Temp When CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.TempWhenCS
	 * @generated
	 */
	public Adapter createTempWhenCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.TempPrecedingCS <em>Temp Preceding CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.TempPrecedingCS
	 * @generated
	 */
	public Adapter createTempPrecedingCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.TempFollowingCS <em>Temp Following CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.TempFollowingCS
	 * @generated
	 */
	public Adapter createTempFollowingCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.TempAbsenceCS <em>Temp Absence CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.TempAbsenceCS
	 * @generated
	 */
	public Adapter createTempAbsenceCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.TempUniversalityCS <em>Temp Universality CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.TempUniversalityCS
	 * @generated
	 */
	public Adapter createTempUniversalityCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.TempExistenceCS <em>Temp Existence CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.TempExistenceCS
	 * @generated
	 */
	public Adapter createTempExistenceCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.EventCS <em>Event CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.EventCS
	 * @generated
	 */
	public Adapter createEventCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.AtomicEventCS <em>Atomic Event CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.AtomicEventCS
	 * @generated
	 */
	public Adapter createAtomicEventCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.EventChainCS <em>Event Chain CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.EventChainCS
	 * @generated
	 */
	public Adapter createEventChainCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.CallEventCS <em>Call Event CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.CallEventCS
	 * @generated
	 */
	public Adapter createCallEventCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.BecomesTrueEventCS <em>Becomes True Event CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.BecomesTrueEventCS
	 * @generated
	 */
	public Adapter createBecomesTrueEventCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.AnyCallEventCS <em>Any Call Event CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.AnyCallEventCS
	 * @generated
	 */
	public Adapter createAnyCallEventCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link temporalOCLCST.TagCS <em>Tag CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see temporalOCLCST.TagCS
	 * @generated
	 */
	public Adapter createTagCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.eclipse.ocl.examples.xtext.base.util.VisitableCS <em>Visitable CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.eclipse.ocl.examples.xtext.base.util.VisitableCS
	 * @generated
	 */
	public Adapter createVisitableCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.eclipse.ocl.examples.xtext.base.baseCST.ElementCS <em>Element CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.eclipse.ocl.examples.xtext.base.baseCST.ElementCS
	 * @generated
	 */
	public Adapter createElementCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.eclipse.ocl.examples.pivot.util.Pivotable <em>Pivotable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.eclipse.ocl.examples.pivot.util.Pivotable
	 * @generated
	 */
	public Adapter createPivotableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.eclipse.ocl.examples.xtext.base.baseCST.PivotableElementCS <em>Pivotable Element CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.eclipse.ocl.examples.xtext.base.baseCST.PivotableElementCS
	 * @generated
	 */
	public Adapter createPivotableElementCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.eclipse.ocl.examples.xtext.base.baseCST.ModelElementCS <em>Model Element CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.eclipse.ocl.examples.xtext.base.baseCST.ModelElementCS
	 * @generated
	 */
	public Adapter createModelElementCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.eclipse.ocl.examples.pivot.util.Nameable <em>Nameable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.eclipse.ocl.examples.pivot.util.Nameable
	 * @generated
	 */
	public Adapter createNameableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.eclipse.ocl.examples.xtext.base.baseCST.NamedElementCS <em>Named Element CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.eclipse.ocl.examples.xtext.base.baseCST.NamedElementCS
	 * @generated
	 */
	public Adapter createNamedElementCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.eclipse.ocl.examples.xtext.base.baseCST.NamespaceCS <em>Namespace CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.eclipse.ocl.examples.xtext.base.baseCST.NamespaceCS
	 * @generated
	 */
	public Adapter createNamespaceCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.eclipse.ocl.examples.xtext.base.baseCST.PackageCS <em>Package CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.eclipse.ocl.examples.xtext.base.baseCST.PackageCS
	 * @generated
	 */
	public Adapter createPackageCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.eclipse.ocl.examples.xtext.base.baseCST.RootCS <em>Root CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.eclipse.ocl.examples.xtext.base.baseCST.RootCS
	 * @generated
	 */
	public Adapter createRootCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.eclipse.ocl.examples.xtext.completeocl.completeOCLCST.CompleteOCLDocumentCS <em>Complete OCL Document CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.eclipse.ocl.examples.xtext.completeocl.completeOCLCST.CompleteOCLDocumentCS
	 * @generated
	 */
	public Adapter createCompleteOCLDocumentCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.eclipse.ocl.examples.xtext.base.baseCST.ConstraintCS <em>Constraint CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.eclipse.ocl.examples.xtext.base.baseCST.ConstraintCS
	 * @generated
	 */
	public Adapter createConstraintCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.eclipse.ocl.examples.xtext.completeocl.completeOCLCST.ContextConstraintCS <em>Context Constraint CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.eclipse.ocl.examples.xtext.completeocl.completeOCLCST.ContextConstraintCS
	 * @generated
	 */
	public Adapter createContextConstraintCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.eclipse.ocl.examples.xtext.base.baseCST.SpecificationCS <em>Specification CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.eclipse.ocl.examples.xtext.base.baseCST.SpecificationCS
	 * @generated
	 */
	public Adapter createSpecificationCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.eclipse.ocl.examples.xtext.essentialocl.essentialOCLCST.ExpSpecificationCS <em>Exp Specification CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.eclipse.ocl.examples.xtext.essentialocl.essentialOCLCST.ExpSpecificationCS
	 * @generated
	 */
	public Adapter createExpSpecificationCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.eclipse.ocl.examples.xtext.completeocl.completeOCLCST.ContextSpecificationCS <em>Context Specification CS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.eclipse.ocl.examples.xtext.completeocl.completeOCLCST.ContextSpecificationCS
	 * @generated
	 */
	public Adapter createContextSpecificationCSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //TemporalOCLCSTAdapterFactory
